Bug 70420 - Impossible to build apps
Impossible to build apps
Product: Red Hat Raw Hide
Classification: Retired
Component: openh323 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
Blocks: 67218
  Show dependency treegraph
Reported: 2002-08-01 05:59 EDT by Alec Voropay
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-02 01:41:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alec Voropay 2002-08-01 05:59:18 EDT
Description of Problem:
It is impossible to build any apps with

Version-Release number of selected component (if applicable):

How Reproducible:
Try to compile any apps

Steps to Reproduce:
1. download any src from URL
2. export OPENH323DIR=/usr/share/misc
3. export PWLIBDIR=/usr/share/pwlib
see bug #69926
3. make opt

Actual Results:
[root@on opengk]# make opt
I/usr/include/include -I/usr/include/crypto -DP_EXPAT -DP_PTHREADS -
I/usr/share/pwlib/include/ptlib/unix -I/usr/share/pwlib/include -DPTRACING -
I/usr/share/misc/include/openh323 -DHAS_IXJ -DHAS_OSS -O3 -DNDEBUG  -c 
main.cxx -o obj_linux_x86_r/main.o
In file included from main.cxx:69:
main.h:31:18: h323.h: No such file or directory
main.h:32:22: gkserver.h: No such file or directory
main.cxx:72:22: gsmcodec.h: No such file or directory
make: *** [obj_linux_x86_r/main.o] Error 1

Expected Results:
should compile

Additional Information:
see my last updates to bug #69926

1) It is better to move /usr/share/misc/openh323u.mak
to /usr/share/openh323 . Export

2) Make full hierarcy in /usr/share/open323 :

cd /usr/share/openh323
ln -s /usr/include/openh323 include
ln -s /usr/lib lib
Comment 1 Alec Voropay 2002-08-01 06:04:53 EDT

cd /usr/share/openh323
ln -s /usr/include include

Comment 2 Alexander Larsson 2002-08-07 07:31:09 EDT
The openh323 build system is enourmously ugly and not made to ever be installed
like a typical "make install" does. Detailed discussions between distro
packagers (debian, mandrake, rh at least) on how to sanely package it ended up
with the current setup, and I will not change it now.

If you want to make the openh323 apps work out of the box you'll have to bring
up sane packaging with the openh323 group.

Sorry if you feel this is rude, but openh323 is not a prioritized package.

Note You need to log in before you can comment on or make changes to this bug.